# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
%define          _version    0_8_2

Name:           editarea 
Version:        %(echo %{_version} | sed 's/_/./g')
Release:        alt1_7
Summary:        A replacement for the HTML textarea tag

Group:          Networking/WWW
# Valid license according to http://fedoraproject.org/wiki/Licensing
License:        ASL 2.0 or LGPLv2+ or BSD
URL:            http://cdolivet.com/editarea/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{_version}.zip
Source1:        %{name}.conf
Patch0:         editarea-fix_path.patch
Patch1:         editarea_0_8_2-bash.patch
Patch2:         editarea-0.8.2-support-ie9.patch
Requires:       httpd
BuildArch:      noarch
Source44: import.info

%description
EditArea is a replacement for the HTML textarea tag.  It provides such features
as syntax highlighting (for some languages), search/replace, goto line number
and more.  EditArea is not a WYSIWYG editor.

%prep
%setup -qn %{name}_%{_version}
# Equiv to dos2unix
sed -i 's/\r//' ./todo.txt ./license_bsd.txt ./change_log.txt ./license_apache.txt ./docs/doc_style.css 
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# Nothing to build

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/edit_area/reg_syntax
install -p -m 0644 %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf

mv exemples examples
mv examples/exemple_full.html examples/example_full.html
cp -a edit_area/* $RPM_BUILD_ROOT%{_datadir}/%{name}

cd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -f change_log.txt license_apache.txt license_bsd.txt license_lgpl.txt todo.txt
cd -

%files
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_datadir}/%{name}/
%doc change_log.txt license_apache.txt license_bsd.txt license_lgpl.txt todo.txt
%doc docs examples

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> %(echo 0_8_2 | sed 's/_/./g')-alt1_7
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> %(echo 0_8_2 | sed 's/_/./g')-alt1_6
- fc import

